// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/HPDI32/HPDI32_Linux_sdk_6.x.x_GSC_DN/api/dev_version.h $
// $Rev: 30377 $
// $Date: 2014-09-18 12:09:04 -0500 (Thu, 18 Sep 2014) $

#ifndef __DEV_VERSION_H__
#define __DEV_VERSION_H__

#include "hpdi32_api.h"

#include "dev_os_version.h"



// #defines *******************************************************************

#define	API_DEV_VERSION				9
// 9	LINTed source files.
//		Reformated comments.
// 8	Fixed bug in the Jumper parameter code.
//		Ported to 64-bit Windows.
// 7	Encreased modularity, linted and updated.
//		Ported to 32-bit and 64-bit Linux.
// 6	Ported to the SDK.
// 5	Corrected some parameter macros in hpdi32_api.h.
//		Changed HPDI32_FSR_DMA_CH1 to HPDI32_FSR_DMDMA_CH1.
//		Added HPDI32_MISC_FEATURES_LAST_INDEX.
//		Added HPDI32_MISC_FEATURES_COUNT.
// 4	Added the I/O Single Cycle parameter.
//		Updated the API version number.
//		Fixed bug where IELR and IHLR were used though not present.
// 3	Fixed bugs where some I/O setting changes weren't being observed for
//		   subsequent DMA operations.
//		Fixed a bug caused by invalid index argument to hpdi32_open(), which
//		   caused an assertion in the debug version of the code.
//		Fixed a bug resulting from trying to close a DMA channel, when we
//		   didn't get one we could close.
//		Fixed a bug in that Single Cycle Disable was applied to Rx only.
//		Added the HPDI32_MISC_FEATURES_USER_JUMPERS feature.
// 2	Fixed remote throttle setting.
//		Deleted HPDI32_IO_DMA_CHANNEL_SEL_DEFAULT.
//		Added a few BCR macros.
//		Auto Stop is now given as ENABLED when it is unsupported.
//		Fixed FIFO size reporting bug when size is zero.
//		Fixed bug where gsc_io_t.dma was initialized to NULL.
// 1	Initiali release.

#define	API_DEV_API_VERSION			HPDI32_API_VERSION
#define	API_DEV_PRODUCT_NAME_LOWER	"hpdi32"
#define	API_DEV_PRODUCT_NAME_UPPER	"HPDI32"



// prototypes *****************************************************************

U32	dev_version_verify(void);



#endif
