#include <stdio.h>

#include "hpdi32_dsl.h"

U32	hpdi32_dsl_gpio_0_mod(void* handle, U8 value, int verbose)
{
	U8	mask	= 0x1;
	U32	status;

	status	= hpdi32_gpio_mod(handle, value, mask);

	if (!verbose)
	{
	}
	else if (status != GSC_SUCCESS)
	{
		printf("hpdi32_gpio_mod() failure: %ld\n", (long) status);
	}
	else
	{
		printf("GPIO Modify:\n");
		printf("  Value: 0x%lX\n", (long) value);
		printf("  Mask:  0x%lX\n", (long) mask);
	}

	return(status);
}
