#include <stdio.h>

#include "hpdi32_dsl.h"

U32	hpdi32_dsl_reg_bcr_read(void* handle, U32* value, int verbose)
{
	U32	status;

	status	= hpdi32_reg_read(handle, HPDI32_BCR, value);

	if (!verbose)
	{
	}
	else if (status != GSC_SUCCESS)
	{
		printf("hpdi32_reg_read() failure: %ld\n", (long) status);
	}
	else
	{
		printf("BCR Read: 0x%lX\n", (long) value[0]);
	}

	return(status);
}
