#include <stdio.h>

#include "hpdi32_dsl.h"

U32	hpdi32_dsl_version_get(void* handle, U8 id, int verbose)
{
	U32		status;
	char	ver[32];

	status	= hpdi32_version_get(handle, id, ver, sizeof(ver));

	if (!verbose)
	{
	}
	else if (status != GSC_SUCCESS)
	{
		printf(	"hpdi32_version_get() failure: %ld\n",
				(long) status);
	}
	else
	{
		printf("Version: %s\n", ver);
	}

	return(status);
}
