// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/HPDI32/HPDI32_Linux_sdk_6.x.x_GSC_DN/utils/util_rx_io_timeout.c $
// $Rev: 30390 $
// $Date: 2014-09-18 12:16:55 -0500 (Thu, 18 Sep 2014) $

#include <stdio.h>

#include "hpdi32_utils.h"



//*****************************************************************************
int dev_rx_io_timeout(void* dev, int index, int verbose, unsigned long set, unsigned long* get)
{
	char	buf[128];
	int		errs;
	U32		status;

	if (verbose)
		label_text_index("Rx I/O Timeout", index);

	status	= hpdi32_config(dev, HPDI32_IO_TIMEOUT, HPDI32_WHICH_RX, set, &set);
	errs	= (status == GSC_SUCCESS) ? 0 : 1;
	sprintf(buf, "%ld second%s", (long) set, (set == 1) ? "" : "s");

	if (verbose)
		printf("%s  (%s)\n", errs ? "FAIL <---" : "PASS", buf);

	if (get)
		get[0]	= set;

	return(errs);
}


