#include <stdio.h>

#include "hpdi32_dsl.h"

U32 hpdi32_dsl_close(void* handle, int verbose)
{
	U32	status;

	status	= hpdi32_close(handle);

	if (!verbose)
	{
	}
	else if (status != GSC_SUCCESS)
	{
		printf("hpdi32_close() failure: %ld\n", (long) status);
	}
	else
	{
		printf("Device Closed: 0x%lX\n", (long) handle);
	}

	return(status);
}
