#include <stdio.h>

#include "hpdi32_dsl.h"

U32	hpdi32_dsl_gpio_read(void* handle, U8* value, int verbose)
{
	U32	status;

	status	= hpdi32_gpio_read(handle, value);

	if (!verbose)
	{
	}
	else if (status != GSC_SUCCESS)
	{
		printf("hpdi32_gpio_read() failure: %ld\n", (long) status);
	}
	else
	{
		printf("GPIO Read: 0x%lX\n", (long) value[0]);
	}

	return(status);
}
